import QtQuick 1.1
import com.nokia.meego 1.0
import com.nokia.extras 1.1

PageStackWindow {
    id: appWindow
    initialPage: firstPage

    signal quitApp();
    Component.onCompleted: theme.inverted = true;

    property string msg: "";

    Page {
	id: firstPage

//	Text {
//	    width: parent.width
//	    anchors.centerIn: parent
//	    font.pixelSize: 34
//	    font.weight: Font.Bold
//	    color: "white"
//	    text: appWindow.msg
//	    wrapMode: Text.WordWrap
//	    horizontalAlignment: Text.AlignHCenter
//	}

	InfoBanner {
	    id: message
	    text: msg
	}

	Timer {
	    id: timer
	    running: true
	    interval: 10
	    onTriggered: {
		if  (appWindow.msg == "")
		{
		    appWindow.quitApp();
		} else {
		    message.show();
		    quitTimer.running = true;
		}
		console.log("emit!")
	    }
	}

	Timer {
	    id: quitTimer
	    interval: 2000
	    onTriggered: {
		appWindow.quitApp();
	    }
	}
    }
}
